<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from makematrix_invhilbert.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="makematrix_invhilbert" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>makematrix_invhilbert</refname><refpurpose>Returns the inverse of the Hilbert matrix</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   A = makematrix_invhilbert ( n )

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>n :</term>
      <listitem><para> a 1-by-1 matrix of doubles, integer value, the size of the matrix to return</para></listitem></varlistentry>
   <varlistentry><term>A :</term>
      <listitem><para> a n-by-n matrix of doubles, the inverse of the Hilbert matrix</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Returns the inverse of the Hilbert matrix of size n.
   </para>
   <para>
This is translated from Scilab fortran source code hilber.f
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
A = makematrix_invhilbert ( 5 )

// Check the inverse property
A = makematrix_invhilbert ( 5 )
B = makematrix_hilbert ( 5 )
A * B

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2011 - Michael Baudin</member>
   <member>Copyright (C) 2011 - DIGITEO - Michael Baudin</member>
   <member>Copyright (C) 2008-2009 - INRIA - Michael Baudin</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>http://en.wikipedia.org/wiki/Hilbert_matrix</para>
</refsection>
</refentry>
